aboutsummaryrefslogtreecommitdiffstats
path: root/main/tvheadend/tvheadend.initd
diff options
context:
space:
mode:
authorCarlo Landmeter <clandmeter@gmail.com>2013-01-13 14:01:08 +0000
committerCarlo Landmeter <clandmeter@gmail.com>2013-01-13 14:01:08 +0000
commit473492472809f977559378ca4c61ca572e6034e6 (patch)
tree028114626319c768dc6b417d064e9487ff301115 /main/tvheadend/tvheadend.initd
parent97ba991ad14e989eb6a8c7499c39a54c1442b3fb (diff)
downloadaports-473492472809f977559378ca4c61ca572e6034e6.tar.bz2
aports-473492472809f977559378ca4c61ca572e6034e6.tar.xz
main/tvheadend: upgrade to 3.2.34
Diffstat (limited to 'main/tvheadend/tvheadend.initd')
-rw-r--r--main/tvheadend/tvheadend.initd9
1 files changed, 9 insertions, 0 deletions
diff --git a/main/tvheadend/tvheadend.initd b/main/tvheadend/tvheadend.initd
index 9b56313a8b..b72df33788 100644
--- a/main/tvheadend/tvheadend.initd
+++ b/main/tvheadend/tvheadend.initd
@@ -6,6 +6,9 @@ depend() {
start() {
ebegin "Starting tvheadend"
+
+ checkconf || return 1
+
start-stop-daemon --start \
--exec ${TVHBIN} -- \
-C -f -u ${TVHUSER} \
@@ -21,3 +24,9 @@ stop() {
eend $?
}
+checkconf() {
+ if [ ! -d "$TVHCONF" ]; then
+ eerror "config directory does not exist!"
+ return 1
+ fi
+}